DROP DATABASE IF EXISTS forum;
CREATE DATABASE forum;
USE forum;

CREATE TABLE t_access( 
  c_access VARCHAR(1) NOT NULL,
  c_description VARCHAR(32) NOT NULL,
  PRIMARY KEY (c_access) 
  );

INSERT INTO t_access(c_access,c_description) 
  VALUES(
    'A','Admin User'
);

INSERT INTO t_access(c_access,c_description)
  VALUES(
    'R','Regular User'
);

INSERT INTO t_access(c_access,c_description)
  VALUES(
    'G','Guest User'
);

CREATE TABLE t_users(
  c_uid VARCHAR(32) NOT NULL,
  c_pwd VARCHAR(32) NOT NULL,
  c_accesses INTEGER NOT NULL,
  c_first DATETIME NOT NULL,
  c_last DATETIME NOT NULL,
  c_bad INTEGER NOT NULL,
  c_posted INTEGER NOT NULL,
  c_type VARCHAR(1) NOT NULL,
  PRIMARY KEY(c_uid),
  FOREIGN KEY(c_type) REFERENCES t_access(c_access)
);


INSERT INTO 
t_users(c_uid,c_pwd,c_accesses,c_first,c_last,c_bad,c_posted,c_type)
values(
'ADMIN','admin',0,'04-01-02','2002-04-01',0,0,'A'
);

INSERT INTO 
t_users(c_uid,c_pwd,c_accesses,c_first,c_last,c_bad,c_posted,c_type)
values(
'TESTUSER','test',0,'04-01-02','2002-04-01',0,0,'A'
);

INSERT INTO 
t_users(c_uid,c_pwd,c_accesses,c_first,c_last,c_bad,c_posted,c_type)
values(
'TESTGUEST','test',0,'04-01-02','2002-01-02',0,0,'A'
);

CREATE TABLE t_forums(
  c_code VARCHAR(4) NOT NULL,
  c_name VARCHAR(50) NOT NULL,
  c_sequence INTEGER NOT NULL,
  PRIMARY KEY(c_code)
); 


INSERT INTO t_forums(c_code,c_name,c_sequence)
values(
'GNRL','General Discussion',1
);

INSERT INTO t_forums(c_code,c_name,c_sequence)
values(
'SUPP','On-Line Support',2
);


CREATE TABLE t_messages(
  c_forum_code VARCHAR(4) NOT NULL,
  c_number INTEGER NOT NULL,
  c_posted DATETIME NOT NULL,
  c_subject VARCHAR(50) NOT NULL,
  c_sender VARCHAR(32) NOT NULL,
  c_message TEXT NOT NULL,
  PRIMARY KEY(c_forum_code,c_number),
  FOREIGN KEY(c_sender) REFERENCES t_users(c_uid)
);
