package com.heaton.forum;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.util.*;
import java.io.*;
import org.apache.taglibs.standard.tag.el.core.*;
import java.sql.*;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file implements the deleteMessage tag for the
 * forum custom tag library example.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */


public class DeleteMessageTag extends TagSupport {

  /**
   * The EL expression for the forum code
   */
  private String code_el;

  /**
   * The forum code
   */
  private String code;

  /**
   * The el expression for the number
   */
  private String number_el;

  /**
   * The message number
   */
  private String number;

  /**
   * The setter for the code attribute
   * 
   * @param code
   */
  public void setCode(String code) {
    this.code_el = code;
  }

  /**
   * The setter for the number attribute
   * 
   * @param number
   */
  public void setNumber(String number) {
    this.number_el = number;
  }


  /**
   * The start of the tag, used to process the EL
   * expressions.
   * 
   * @return A status to indicate if the body is to be 
   * processed. Here the body is not processed.
   * @exception javax.servlet.jsp.JspException Thrown on general error.
   */
  public int doStartTag()
  throws  javax.servlet.jsp.JspException
  {
    code = (String)ExpressionUtil.evalNotNull(
      "deleteMessage", "code", code_el, String.class, this, pageContext);

    number = (String)ExpressionUtil.evalNotNull(
      "deleteMessage", "number", number_el, String.class, this, pageContext);



    return SKIP_BODY;
  }

  /**
   * The ending tag method is called when the tag
   * is ready to complete. It is here that
   * the message is deleted.
   * 
   * @return A status code that indicates if the rest of the
   * page is to be processed. 
   * @exception JspException Thrown on general error.
   */
  public int doEndTag() throws JspException {
    Session session = Session.getSession(pageContext);
    session.deleteMessage(code,Integer.parseInt(number));
    return EVAL_PAGE;
  }
}
