package com.heaton.forum;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.jstl.core.ConditionalTagSupport;

/**
 * Example program from Chapter 11
 * JSTL: JSP Standard Template Library
 * Published by Sams Publishing
 *
 *
 * This file implements the expireTag tag for the
 * forum custom tag library example. This tag is
 * used to determine if the session has timed out.
 *
 * @author Jeff Heaton(http://www.jeffheaton.com)
 * @version 1.0
 */

public class ExpireTag extends ConditionalTagSupport {
	/**
	 * @return true if the Session object has not been created in the session scope.
	 */
	protected boolean condition() throws JspTagException {
		return pageContext.getAttribute(Session.FORUM,PageContext.SESSION_SCOPE) == null;
	}
}

