<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/core-rt" prefix="c-rt" %>
<%@ taglib uri="http://java.jeffheaton.com/taglib/jstl/forum" prefix="forum" %>

<forum:expire>
  <c:redirect url="index.jsp" />
</forum:expire>

<c:if test="${user.type!='A'}">
  <c:redirect url="main.jsp" />
</c:if>

<c:if test="${pageContext.request.method=='POST'}">
  <c:if test="${param.cancel!=null}">
    <c:redirect url="users.jsp" />
  </c:if>

  <forum:editUser id="${param.uid}" type="${param.type}"/>
  <c:redirect url="users.jsp" />
</c:if>

<html>
  <head>
    <title><fmt:message key="edituser.title" bundle="${lang}"/></title>
  </head>

  <body>
    <forum:loadUser id="${param.target}" var="row"/>

<p><fmt:message key="edituser.ins" bundle="${lang}"/>
  

      <table border="0">
        <form method="post">
          <tr>
            <td colspan="2" bgcolor="#0000FF">
              <p align="center">
                <b>
                  <font size="4" color="#FFFFFF">
                  <fmt:message key="edituser.title" bundle="${lang}"/></font>
                </b>
              </p>
            </td>
          </tr>

          <tr bgcolor="#FFFF66">
            <td bordercolor="#000000"><fmt:message key="welcome.id" bundle="${lang}"/></td>

            <td>
              <c:out value="${row.id}" />

              <input type="hidden" name="uid" value="<c:out value="${row.id}"/>" />
            </td>
          </tr>

          <tr>
            <td><fmt:message key="welcome.type" bundle="${lang}"/></td>

            <td>
              <select name="type">
                <option value="A"
                  <c:if test="${row.type=='A'}">SELECTED</c:if>
                ><fmt:message key="type.a" bundle="${lang}"/></option>
                <option value="R"
                <c:if test="${row.type=='R'}">SELECTED</c:if>
                ><fmt:message key="type.r" bundle="${lang}"/></option>
                <option value="G"
                <c:if test="${row.type=='G'}">SELECTED</c:if>
                ><fmt:message key="type.g" bundle="${lang}"/></option>
              </select>
            </td>
          </tr>

          <tr bgcolor="#FFFF66">
            <td><fmt:message key="welcome.times" bundle="${lang}"/></td>

            <td>
              <c:out value="${row.accesses}" />
            </td>
          </tr>

          <tr>
            <td><fmt:message key="welcome.first" bundle="${lang}"/></td>

            <td>
              <fmt:formatDate value="${row.first}" />
            </td>
          </tr>

          <tr bgcolor="#FFFF66">
            <td><fmt:message key="welcome.last" bundle="${lang}"/></td>

            <td>
              <fmt:formatDate value="${row.last}" />
            </td>
          </tr>

          <tr>
            <td><fmt:message key="welcome.failed" bundle="${lang}"/></td>

            <td>
              <c:out value="${row.bad}" />
            </td>
          </tr>

          <tr bgcolor="#FFFF66">
            <td><fmt:message key="welcome.posted" bundle="${lang}"/></td>

            <td>
              <c:out value="${row.posted}" />
            </td>
          </tr>

          <tr>
            <td colspan="2">
              <center>
                <input type="submit" name="save" value="<fmt:message key="button.save" bundle="${lang}"/>" />

                <input type="submit" name="cancel"
                value="<fmt:message key="button.cancel" bundle="${lang}"/>" />
              </center>
            </td>
          </tr>
        </form>
      </table>

  </body>
</html>

