<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/core-rt" prefix="c-rt" %>
<%@ taglib uri="http://java.jeffheaton.com/taglib/jstl/forum" prefix="forum" %>

<forum:expire>
  <c:redirect url="index.jsp" />
</forum:expire>

<c:if test="${user.type!='A'}">
  <c:redirect url="main.jsp" />
</c:if>

<c:if test="${pageContext.request.method=='POST'}">
  <forum:loadForum code="${param.code}" var="test"/>  
  <c:choose>
    <c:when test="${test!=null}">
      <h3>Already a forum with that code</h3>
    </c:when>

    <c:otherwise>
      <forum:createForum code="${param.code}"
      name="${param.name}"
      sequence="${param.seq}"/>

      <c:redirect url="admin.jsp" />
    </c:otherwise>
  </c:choose>
</c:if>

<html>
  <head>
    <title><fmt:message key="newforum.title" bundle="${lang}"/></title>
  </head>

  <body>
    <table border="1">
      <form method="post">
        <tr>
          <td colspan="2" bgcolor="#0000FF">
            <p align="center">
              <b>
                <font size="4" color="#FFFFFF">
                <fmt:message key="newforum.title" bundle="${lang}"/>
                </font>
              </b>
            </p>
          </td>
        </tr>

        <tr>
          <td><fmt:message key="editforum.code" bundle="${lang}"/></td>

          <td>
            <input type="text" name="code" width="4" length="4"
            maxlength="4" size="20" />
          </td>
        </tr>

        <tr>
          <td><fmt:message key="editforum.name" bundle="${lang}"/></td>

          <td>
          <input type="text" name="name" value="<c:out value="${param.name}"/>"/>
          </td>
        </tr>

        <tr>
          <td><fmt:message key="editforum.number" bundle="${lang}"/></td>

          <td>
            <input type="text" name="seq" width="10" value="0"
            size="20" />
          </td>
        </tr>

        <tr>
          <td colspan="2">
            <center>
              <input type="submit" name="add" value="<fmt:message key="button.add" bundle="${lang}"/>" />
            </center>
          </td>
        </tr>
      </form>
    </table>
  </body>
</html>

